Bug 158 - verifyta loops on <nail attrs></nail> construct in XML model description
Summary: verifyta loops on <nail attrs></nail> construct in XML model description
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: Engine (show other bugs)
Version: unspecified
Hardware: PC Linux
: P4 minor
Assignee: Robert Olesen
URL:
Depends on:
Blocks:
 
Reported: 2005-06-08 16:29 CEST by Ferdy Hanssen
Modified: 2005-06-17 15:18 CEST (History)
0 users

See Also:
Architecture:


Attachments
Model as produced by Uppaal GUI (804 bytes, text/xml)
2005-06-08 16:30 CEST, Ferdy Hanssen
Details
Model as produced by my tool from Uppaal-generated model (735 bytes, text/xml)
2005-06-08 16:30 CEST, Ferdy Hanssen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ferdy Hanssen 2005-06-08 16:29:11 CEST
I have written a small tool to do textual replacements in the declarations,
instantiation, and system section of a Uppaal model in XML format, so the same
model can easily be verified against different parameters.

This tool produces XML that is slightly different from the XML generated by the
GUI, but functionally equivalent.

However, verifyta fails to read the models output by my tool, and I traced this
to the <nail> element.  The GUI produces XML with nails written as <nail x="1"
y="1"/>.  My tool outputs this as <nail x="1" y="1"></nail>, which, as I
understand it, is equivalent XML syntax to the GUI version.

But verifyta fails to read this, and seems stuck in an infinite loop.

Interestingly, verifyta does not have this problem with <source> and <target> tags.

Attached is a simple model in two versions: the Uppaal GUI produced one and the
one produced by my tool.

In the meantime I changed my tool such that it outputs differently for <nail> tags.
Comment 1 Ferdy Hanssen 2005-06-08 16:30:21 CEST
Created attachment 39 [details]
Model as produced by Uppaal GUI
Comment 2 Ferdy Hanssen 2005-06-08 16:30:55 CEST
Created attachment 40 [details]
Model as produced by my tool from Uppaal-generated model
Comment 3 Robert Olesen 2005-06-16 11:16:43 CEST
Reassigning
Comment 4 Gerd Behrmann 2005-06-17 11:51:02 CEST
Confirmed. A fix will be checked into CVS later today.
Comment 5 Gerd Behrmann 2005-06-17 15:18:11 CEST
A fix has been checked into CVS. Resolving bug.